# UniTAP.dev.dev_4xx_roles

class UCD400:

Class `UCD400` describes of device UCD-400. Device has one possible role:

- 'DisplayPort Source and Sink' `DPSourceDPSink`

ROLE_DICT = {'DisplayPort Source and Sink': <class 'UCD400.DPSourceDPSink'>}
class UCD400.DPSourceDPSink:

Class `DPSourceDPSink` contains information of available functionality modules for role DP Sink (RX - receiver) and DP Source (TX - transmitter) roles:

- `DPRX4xx`.
- `DPTX4xx`.
- `DUTTests`.

UCD400.DPSourceDPSink( dev_io: UniTAP.libs.lib_tsi.tsi_io.DeviceIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
dprx: UniTAP.dev.ports.dprx4xx.DPRX4xx

Returns DP Sink (RX - receiver) role.

###### Returns:

> object of DPRX4xx type.

dptx: UniTAP.dev.ports.dptx4xx.DPTX4xx

Returns DP Source (TX - transmitter) role.

###### Returns:

> object of DPTX4xx type.

dut_tests: UniTAP.dev.modules.dut_tests.dut_tests.DUTTests

Returns DUT Test module.

###### Returns:

> object of DUTTests type.

name: str

Returns name of role.

###### Returns:

> object of str type.

class UCD422:

Class `UCD422` describes of device UCD-422. Device has one possible role:

- 'HDMI Source and Sink' `HDMISourceHDMISink`

ROLE_DICT = {'HDMI Source and Sink': <class 'UCD422.HDMISourceHDMISink'>}
class UCD422.HDMISourceHDMISink:

Class `DPSourceDPSink` contains information of available functionality modules for role HDMI Sink (RX - receiver) and HDMI Source (TX - transmitter) roles:

- `HDRX4xx`.
- `HDTX4xx`.
- `DUTTests`.

UCD422.HDMISourceHDMISink( dev_io: UniTAP.libs.lib_tsi.tsi_io.DeviceIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
hdtx: UniTAP.dev.ports.hdtx4xx.HDTX4xx

Returns HDMI Source (TX - transmitter) role.

###### Returns:

> object of HDTX4xx type.

hdrx: UniTAP.dev.ports.hdrx4xx.HDRX4xx

Returns HDMI Sink (RX - receiver) role.

###### Returns:

> object of HDRX4xx type.

dut_tests: UniTAP.dev.modules.dut_tests.dut_tests.DUTTests

Returns DUT Test module.

###### Returns:

> object of DUTTests type.

name: str

Returns name of role.

###### Returns:

> object of str type.

class UCD424:

Class `UCD424` describes of device UCD-424. Device has one possible role:

- 'USB-C Source and Sink' `USBCSourceUSBCSink`.

ROLE_DICT = {'USB-C Source and Sink': <class 'UCD424.USBCSourceUSBCSink'>}
class UCD424.USBCSourceUSBCSink:

Class `DPSourceDPSink` contains information of available functionality modules for role HDMI Sink (RX - receiver) and HDMI Source (TX - transmitter) roles:

- `DPRX4xx`.
- `DPTX4xx`.
- `DUTTests`.
- `PDC`.

UCD424.USBCSourceUSBCSink( dev_io: UniTAP.libs.lib_tsi.tsi_io.DeviceIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
dprx: UniTAP.dev.ports.dprx4xx.DPRX4xx

Returns DP Sink (RX - receiver) role.

###### Returns:

> object of DPRX4xx type.

dptx: UniTAP.dev.ports.dptx4xx.DPTX4xx

Returns DP Source (TX - transmitter) role.

###### Returns:

> object of DPTX4xx type.

pdcrx: UniTAP.dev.ports.pdc_port.PDC424

Returns PDC Sink (RX - receiver) role.

###### Returns:

> object of `PDC424` type.

pdctx: UniTAP.dev.ports.pdc_port.PDC424

Returns PDC source (TX - transmitter) role.

###### Returns:

> object of `PDC424` type.

dut_tests: UniTAP.dev.modules.dut_tests.dut_tests.DUTTests

Returns DUT Test module.

###### Returns:

> object of DUTTests type.

name: str

Returns name of role.

###### Returns:

> object of str type.